Bug 1278231 - [abrt] arandr: widget.py:155:set_active:InadequateConfiguration: Smallest mode too large for virtual.
[abrt] arandr: widget.py:155:set_active:InadequateConfiguration: Smallest mod...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: arandr (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Maros Zatko
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4a766f61e4f8f4852f31c907228...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 20:59 EST by Steven Schlansker
Modified: 2016-12-20 10:23 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:23:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (830 bytes, text/plain)
2015-11-04 20:59 EST, Steven Schlansker
no flags Details
File: environ (2.18 KB, text/plain)
2015-11-04 20:59 EST, Steven Schlansker
no flags Details
xrandr (651 bytes, text/plain)
2016-03-23 21:58 EDT, Steven Schlansker
no flags Details
xrandr --verbose (5.03 KB, text/plain)
2016-03-23 21:59 EDT, Steven Schlansker
no flags Details
nvidia Xorg log (3.31 KB, text/plain)
2016-03-23 22:01 EDT, Steven Schlansker
no flags Details

  None (edit)
Description Steven Schlansker 2015-11-04 20:59:51 EST
Description of problem:
Attempted to activate second display with the "Screen Layout Editor"

Version-Release number of selected component:
arandr-0.1.7.1-5.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python /usr/bin/arandr
executable:     /usr/bin/arandr
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
widget.py:155:set_active:InadequateConfiguration: Smallest mode too large for virtual.

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/screenlayout/widget.py", line 309, in <lambda>
    enabled.connect('activate', lambda menuitem: self.set_active(on, menuitem.props.active))
  File "/usr/lib/python2.7/site-packages/screenlayout/widget.py", line 155, in set_active
    raise InadequateConfiguration("Smallest mode too large for virtual.")
InadequateConfiguration: Smallest mode too large for virtual.

Local variables in innermost frame:
on: 'DP-1'
self: <ARandRWidget object at 0x7f70f22eb460 (screenlayout+widget+ARandRWidget at 0x56292c5eb1e0)>
pos: (0, 0)
o: <screenlayout.xrandr.OutputConfiguration object at 0x7f70f22f1b10>
v: <screenlayout.xrandr.Virtual object at 0x7f70f22f10d0>
active: True
Comment 1 Steven Schlansker 2015-11-04 20:59:54 EST
Created attachment 1089932 [details]
File: backtrace
Comment 2 Steven Schlansker 2015-11-04 20:59:55 EST
Created attachment 1089933 [details]
File: environ
Comment 3 chrysn 2016-03-02 04:50:28 EST
i'm amazed i would ever see that exception outside the source code.

could you provide the outputs of the `xrandr` and `xrandr --verbose` commands to help find the cause of the issue? information about the graphics driver, card and connected device might also be useful.
Comment 4 Steven Schlansker 2016-03-23 21:58 EDT
Created attachment 1139814 [details]
xrandr
Comment 5 Steven Schlansker 2016-03-23 21:59 EDT
Created attachment 1139816 [details]
xrandr --verbose
Comment 6 Steven Schlansker 2016-03-23 22:01 EDT
Created attachment 1139817 [details]
nvidia Xorg log
Comment 7 Fedora End Of Life 2016-11-24 08:05:27 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2016-12-20 10:23:22 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.